
Redmine - Feature #17689

De-List or cleraly mark commercial plugins

2014-08-14 11:02 - Jan Niggemann (redmine.org team member)

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I keep getting complaints by mail about easyredmine non-free plugins in our directory and there are similar complaints on the forums

("Annoying" plugins on official list).

The issues at hand are with plugnis that

are not free (as in beer)

are not free (as in freedom)

just don't work with vanilla redmine and only work in some kind of fork

There are entries in our plugin index that are nothing more than free advertising space for companies, including but not limited to

http://www.redmine.org/plugins/redmine_luxury_buttons (paid)

http://www.redmine.org/plugins/redmine_kpi (paid)

virtually all plugins by Petr Pospisil / EasyRedmine (example: http://www.redmine.org/plugins/virtuemart-integration) (paid, 

incompatible)

I'd like a statement from the team regarding these proposals:

Remove all plugins that only work in some kind of fork

Mark all commercial plugins with a very, very big "$" sign - or remove them from the index

-- jan

PS: In contrast to those commercial-only plugins are those like this one by Kirill Bezrukov:

http://www.redmine.org/plugins/redmine_agile

It's a paid plugin, but a "light" version available, IMHO that's the way to and those should explicitly not be removed.

Related issues:

Related to Redmine - Feature #24069: Additional Data Field on Plugins: Licens... New

Has duplicate Redmine - Feature #18664: filter plugin by license Closed

Has duplicate Redmine - Feature #19882: Clean up plugin directory New

Has duplicate Redmine - Feature #38255: Filter free and paid plugins in the p... Closed

History

#1 - 2014-08-14 11:55 - Jan from Planio www.plan.io

My view point should be taken with a grain of salt since we're also affected by these practices from a business perspective, but I'd still like to share my

point of view:

In general, depending on your plan level, we offer installation of arbitrary Redmine plugins on Planio. Unfortunately, this often leads to confusion and

disappointment since clients take the screenshots and descriptions of the plugin directory on redmine.org for granted and believe that every plugin out

there is of the same high quality/stability/state of maintainedness (is that a word?) as the core Redmine code base itself.

As we all know, this is - unfortunately - not always the case for plugins.

Thus, before we install a plugin at Planio we thoroughly vet it from a stability, code quality and security perspective. In many cases this leads to us

having to fix/patch it in which case we contribute that back to the community (by the way, we have working forks of many - otherwise unmaintained,

unstable or insecure - plugins; see Curated list of production-ready Redmine Plugins & feel free to use them). In a large number of cases it also leads

to us declining a plugin altogether, be it for stability/security or (as is the case for EasyRedmine, e.g.) licensing reasons.

In those cases, we're often in the unfavourable position to have to explain clients that a plugin is not fit for production use, even though it is listed on
redmine.org.

The addition of ratings to the plugin directory are already a great improvement over the previous plugin list!

From my point of view, I would really like some additional form of classification like commercial vs. free and also maybe some form of "authoritative

review". For instance, it could be implemented as a score, or simply a yay/nay flag which only the Redmine maintainers/contributors (or whoever is

knowledgeable and willing to) would be allowed to set. And yes, I would volunteer to help set these flags, or give these ratings, since we're doing it

already if our clients request plugins.

So regarding the statements you requested, Jan:

Remove all plugins that only work in some kind of fork

 Agree, or at least mark them as such.

Mark all commercial plugins with a very, very big "$" sign - or remove them from the index

 Agree. I think marking is fine. In addition maybe we should tell people that over the top advertising with big red buttons and such as on 

http://www.redmine.org/plugins/redmine_luxury_buttons is not okay... In that case, I think they should buy Google AdWords which in turn at least

benefits Redmine financially.

In addition I would propose to introduce a flag/icon/tag/whatever that says something like "Fit for production" with an explanation like "This plugin

has been reviewed by a Redmine team member and seems fit for production use with regards to security/stability.", maybe with the addition of "No

warranty, since it's open source, etc."

As I said, these are just my two cents. And my views are somewhat biased since we're not only a Redmine community member but are also taking

part in a "commercial" way... If you disagree with my points, or have questions, please let me know.

#2 - 2014-08-14 11:59 - Jan from Planio www.plan.io

- Private changed from No to Yes

#3 - 2014-08-14 15:12 - Jan Niggemann (redmine.org team member)

Thank you Jan!

In addition I would propose to introduce a flag/icon/tag/whatever that says something like "Fit for production" with an explanation like "This plugin

has been reviewed by a Redmine team member and seems fit for production use with regards to security/stability.", maybe with the addition of

"No warranty, since it's open source, etc."

 If plan.io does this anyway, then I'd say it's a good idea, otherwise there mean additional work for the already small team.

BTW: I didn't set this issue private on purpose, so that the discussion is transparent for all users...

#4 - 2014-08-14 15:17 - Jan from Planio www.plan.io

- Private changed from Yes to No

My apologies, making it public again...

#5 - 2014-08-15 01:23 - Richard Kuesters

Jan and Jan (sorry, couldn't avoid it), thank you for finally bringing this to the feature list :) As I started the (forum) thread, I just want to also post my

two cents here.

If plan.io does this anyway, then I'd say it's a good idea, otherwise there mean additional work for the already small team.

 This made me happy :) It's a great idea and could get even better if those "fit for production" gets featured somehow, like Google Chrome Extensions

"staff pick". It's like saying "No strings attached, but they're good".

I have two more considerations, if applicable:

Categorization: sometimes people looks just for wiki extensions, as an example, and it's hard to dig through 16 pages (or more) of plugins and

descriptions to find out those who can be a wiki extension or not. Categorization or tagging can help a lot;

Quality: as pointed out, plugin quality sometimes can be biased. One example I can point out myself was when migrating from Redmine 2.2.0 to

2.5.2 and the huge amount of effort I had to clean out the database from unused columns created by plugins in Redmine's core tables (I

personally think that any plugin that modifies core tables is a bad plugin, but that's another point). So, plugin ratings and comments are available,

but are these information used to something else besides visual user feedback? I mean, good feedbacks and a possible "add this as a (3rd

party) feature" program could boost plugin authors to push harder on quality. As an example, I bring this up because Qt Framework uses

something similar (providing Jira access, code repository, CI, etc) for developers who creates new features with their own efforts (and apart the

main roadmap) and IMHO it works pretty well, without, of course, bloating things up.
My best regards,

Richard.

#6 - 2014-08-27 21:07 - Jean-Baptiste Barth

I'm not in favor of removing entirely paid plugins as long as it's made very explicit (same for a free plugin that depends on a paid one). That said, I'd

really like we remove plugins that are incompatible with standard redmine, I think it just hurts redmine community as a whole.

That said I agree on nearly everything, and I especially like the idea of reviewing plugins depending on security/stability/production use criteria as

proposed by Jan (which means I should polish my own plugins before listing them in the "plugins" section hehe)

Maybe JPL would agree if we share, even privately among contributors, the "Plugin directory" plugin and propose him some steps in this direction ?

#7 - 2014-08-28 11:06 - Jan Niggemann (redmine.org team member)

Jean-Baptiste Barth wrote:

I'm not in favor of removing entirely paid plugins as long as it's made very explicit (same for a free plugin that depends on a paid one). That said,

I'd really like we remove plugins that are incompatible with standard redmine, I think it just hurts redmine community as a whole.

 Exactly.

Maybe JPL would agree if we share, even privately among contributors, the "Plugin directory" plugin and propose him some steps in this

direction ?

 Good idea, I'll propose that and discuss it with him once he's back.

#8 - 2014-12-17 13:14 - Go MAEDA

- Related to Feature #18664: filter plugin by license added

#9 - 2014-12-17 13:14 - Go MAEDA

- Related to deleted (Feature #18664: filter plugin by license)

#10 - 2014-12-17 13:14 - Go MAEDA

- Has duplicate Feature #18664: filter plugin by license added

#11 - 2015-07-07 21:24 - Jan Niggemann (redmine.org team member)

- Has duplicate Feature #19882: Clean up plugin directory added

#12 - 2016-11-01 14:27 - Toshi MARUYAMA

- Related to Feature #24069: Additional Data Field on Plugins: License Information added

#13 - 2023-03-07 23:00 - Holger Just

- Has duplicate Feature #38255: Filter free and paid plugins in the plugin directory added
